---
title: The Documentation for the LfK! Runner System
layout: hextra-home
---
{{< hextra/hero-badge >}}
  <div class="hx-w-2 hx-h-2 hx-rounded-full hx-bg-primary-400"></div>
  <span>Free, open source</span>
  {{< icon name="arrow-circle-right" attributes="height=14" >}}
{{< /hextra/hero-badge >}}

<div class="hx-mt-6 hx-mb-6">
{{< hextra/hero-headline >}}
    Documentation of the LfK! Runner System.
{{< /hextra/hero-headline >}}
</div>

<div class="hx-mb-12">
{{< hextra/hero-subtitle >}}
    Here you will find all the information you need to install, configure, and use the LfK! Runner System.
{{< /hextra/hero-subtitle >}}
</div>

<div class="hx-mb-6">
{{< hextra/hero-button text="Quickstart for Users 👉" link="./user" >}}
</div>

{{< hextra/feature-grid >}}
  {{< hextra/feature-card
    title="User Documentation"
    subtitle="Create and manage orgs, teams, runners and mire."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(194,97,254,0.15),hsla(0,0%,100%,0));"
    link="./user"
  >}}
  {{< hextra/feature-card
    title="Admin Documentation"
    subtitle="Installation, configuration, and operation of the runner system."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(142,53,74,0.15),hsla(0,0%,100%,0));"
    link="./admin"
  >}}
  {{< hextra/feature-card
    title="Self-service"
    subtitle="Portal for citizen and company runners."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(221,210,59,0.15),hsla(0,0%,100%,0));"
    link="./selfservice"
  >}}
  {{< hextra/feature-card
    title="Scanner Stations"
    subtitle="Scan cards, record kilometers. How-to, hardware, and software."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(59,221,210,0.15),hsla(0,0%,100%,0));"
    link="./scanstation"
  >}}
  {{< hextra/feature-card
    title="Kiosk"
    subtitle="Self-service kiosk for the citizen run on site."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(53,142,74,0.15),hsla(0,0%,100%,0));"
    link="./kiosk"
  >}}
  {{< hextra/feature-card
    title="Beamer Show"
    subtitle="Current statistics and top lists for the event."
    style="background: radial-gradient(ellipse at 50% 80%,rgba(97,254,97,0.15),hsla(0,0%,100%,0));"
    link="./beamershow"
  >}}
{{< /hextra/feature-grid >}}