---
title: Neue Funktionen und Verbesserungen
date: 2025-04-25
authors:
  - name: ODIT.Services
    link: https://odit.services
    image: https://odit.services/img/profile-pic-no_bg.webp
tags:
  - Release
  - Kiosk
  - Frontend
  - Dokumente
excludeSearch: true
description: "In den letzten Wochen haben wir an mehreren neuen Funktionen und Verbesserungen der Plattform gearbeitet. Dieser Beitrag gibt einen Überblick über die wichtigsten Änderungen."
lang: de
---

In den letzten Wochen haben wir an mehreren neuen Funktionen und Verbesserungen der Plattform gearbeitet.
Dieser Beitrag gibt einen Überblick über die wichtigsten Änderungen.

## Kiosk

### LfK! 2023 - Kiosk 0.6

Vor zwei Jahren haben wir das Kiosk-Feature eingeführt, um Läufer:innen die Anmeldung am Veranstaltungstag vor Ort zu ermöglichen.
Es handelte sich um ein recht einfaches Formular, in das Vor- und Nachname eingetragen werden konnten.
Nach dem Absenden wurde die Läufer-ID auf dem Bildschirm zusammen mit einem scannbaren Barcode angezeigt – dieser wurde jedoch nur von den Helfern genutzt, die Karten an die neu registrierten Läufer:innen ausgaben.
Der Kiosk löste genau ein Problem: Die Namen der Läufer:innen mussten nicht mehr mühsam buchstabiert und manuell eingetippt (und nach dem unvermeidlichen Tippfehler erneut eingegeben) werden.

### Der neue Kiosk (1.2)

Der Hauptkritikpunkt am alten Kiosk war, dass die Kartenzuordnung für über der Kiosk registrierte Läufer:innen weiterhin umständlich war.
Man benötigte eine 1:1-Zuordnung von Kiosk-PCs zu Helfern, die Karten an die neu registrierten Läufer:innen ausgaben, was den Durchsatz des Kiosks begrenzte.

Der neue Kiosk ist als vollständig self-service Lösung konzipiert und ermöglicht einen höheren Durchsatz.
Um diese Ziele zu erreichen, haben wir folgende Funktionen eingeführt:

- **Anmeldung mit E-Mail**: Läufer:innen können bei der Anmeldung am Kiosk optional ihre E-Mail-Adresse angeben. Dadurch können sie das Self-Service-Portal nutzen, um ihre Anmeldedaten und Rundenzeiten einzusehen.
- **Self-Service QR-Code-Generierung**: Statt eines nichtssagenden Barcodes erzeugt der Kiosk nach der Anmeldung nun einen QR-Code. Dieser kann von den Läufer:innen gescannt werden, um das Self-Service-Portal zu öffnen und ihre Anmeldedaten einzusehen.
- **Bestätigungsdruck**: Ist das Kiosk mit einem Bondrucker verbunden, wird automatisch ein Bestätigungsbeleg mit den Anmeldedaten und dem QR-Code ausgedruckt. Der QR-Code kann von den Läufer:innen gescannt werden, um das Self-Service-Portal zu öffnen und ihre Anmeldedaten sowie Rundenzeiten einzusehen. Er kann auch von den Helfern zur Kartenzuordnung genutzt werden (siehe unten).

Dieses Video demonstriert die neuen Kiosk-Funktionen: TODO: Video

## Frontend

### Schnelle Läufer <-> Karten Zuordnung

Wir haben eine neue Ansicht im Admin-Panel implementiert, die es Helfern und Admins ermöglicht, schnell Karten an Läufer:innen zuzuordnen, die sich über der Kiosk registriert haben.
Diese Ansicht besteht hauptsächlich aus einem webbasierten QR-Code/Barcode-Scanner, der die vom Kiosk, den Bestätigungsbelegen und dem Self-Service-Portal generierten QR-Codes erkennt.
Sobald ein gültiger Code gescannt wurde, wechselt der Scanner in den Karten-Zuordnungsmodus und der Helfer muss nur noch den Barcode einer Karte vorhalten.

Dieses kurze Video zeigt die neue Karten-Zuordnungsfunktion: TODO: Video

## Dokumente

### Performance-Verbesserungen

Der Dokumentenserver wurde komplett in Go neu geschrieben, um die Performance und Zuverlässigkeit zu verbessern.
Dies ist ein rein technischer Aspekt der Plattform und hat keine Auswirkungen auf die Nutzererfahrung.

### QR-Codes auf den Urkunden

Die Läuferurkunden enthalten nun zwei QR-Codes am unteren Rand der zweiten Seite:

- **Self-Service-Portal**: Der erste QR-Code führt zum Self-Service-Portal, in dem Läufer:innen ihre Anmeldedaten und Rundenzeiten einsehen können.
- **Zahlung**: Der zweite QR-Code ist ein EPC-Zahlungscode, der mit den meisten Banking-Apps gescannt werden kann und Empfänger, Verwendungszweck und Betrag für die mit dem Läufer verbundenen Spenden automatisch ausfüllt.

## Allgemein

- **Anmelde-Tracking**: Das Backend zeichnet nun die Anmeldequelle jeder Läufer:in auf. Dies wurde hauptsächlich implementiert, um die Nutzung des Kiosks und des Self-Service-Portals zu verfolgen.
