---
title: Runner Import
weight: 7
---

To facilitate the entry of runners into the system, runners can be imported from Excel spreadsheets (CSV, XLSX).
This function is mainly intended for schools and kindergartens, but can of course be used for all types of teams and organizations.
Below we explain step by step how to import runners into the system.

## Structure of the Import Files

> The file must be in XLSX (Excel) or CSV format

All runners must be on one "worksheet" (Excel), all other worksheets will be ignored.
The table must follow this schema:

| Vorname    | Mittelname | Nachname  | Team/Klasse |
| ---------- | ---------- | --------- | ----------- |
| FirstName1 | Optional   | LastName1 | Optional    |

Note: The Team column can be named Team or Class!

### Example: CSV

#### With Middle Name

> [Download sample file](/files/class_with_middlename.csv)

```csv
First Name; Middle Name; Last Name; Team;
Peter; ; Tester; 1A
Manuel; Steffen; Rainforest; 1A
Great; ; Guy; 2A 
```

#### Without Middle Name

> [Download sample file](/files/class_without_middlename.csv)

```csv
First Name; Last Name; Team;
Peter; Tester; 1A
Manuel; Rainforest; 1A
Great; Guy; 2A 
```

### Example: XLSX (Excel)

#### With Middle Name

> [Download sample file](/files/class_with_middlename.xlsx)

![Excel Screenshot with Middlename](/images/runner_import_excel_with_middlename.png)

#### Without Middle Name

> [Download sample file](/files/class_without_middlename.xlsx)

![Excel Screenshot with Middlename](/images/runner_import_excel_no_middlename.png)

## Import into an Organization

Choose this option if you want to automatically create teams in an organization and import the runners into them.
Choose this option if you want to import runners directly into an organization.

If no team is specified for a runner in the file, they will be imported directly into the organization.
If a team is specified, the team will be searched for in the organization and created if not found - then the runner will be imported into the team.

### From the Organization Overview

{{% steps %}}

### Open Overview

Open the `Orgs` page in the runner system

### Select File

Click on `Import Runners` at the top
Click on `Select File` and choose the file from which you want to import runners

### Verify Runners

A summary of all runners found in the file will be displayed - check all runners for correctness

### Select Organization

Select the organization at the top into which the runners should be imported.

### Start Import

Click on `Import Runners` at the bottom to import the runners or `Cancel` to cancel the import.
The runners will now be imported into the organization.

{{% /steps %}}

### From the Organization Detail View

{{% steps %}}

### Open Overview

Open the `Orgs` page in the runner system.
Click on the `Details` button for the desired organization.

### Select File

Click on `Import Runners` at the top.
Click on `Select File` and choose the file from which you want to import runners.

### Verify Runners

A summary of all runners found in the file will be displayed - check all runners for correctness

### Select Organization

Select the organization at the top into which the runners should be imported.

### Start Import

Click on `Import Runners` at the bottom to import the runners or `Cancel` to cancel the import.
The runners will now be imported into the organization.

{{% /steps %}}

### From the Runner Overview

{{% steps %}}

### Open Overview

Open the `Runners` page in the runner system

### Select File

Click on `Import Runners` at the top.
Click on `Select File` and choose the file from which you want to import runners.

### Verify Runners

A summary of all runners found in the file will be displayed - check all runners for correctness

### Select Organization

Select the organization (does not have a `>` in the name) at the top into which the runners should be imported.

### Start Import

Click on `Import Runners` at the bottom to import the runners or `Cancel` to cancel the import.
The runners will now be imported into the organization.

{{% /steps %}}

## Import into a Team

> Choose this option if you want to import runners directly into a team.

If a team is specified for a runner in the file, it will be ignored and overwritten with the selected team.

### From the Team Detail View

{{% steps %}}

### Open Overview

Open the `Teams` page in the runner system.
Click on the `Details` button for the desired team.

### Select File

Click on `Import Runners` at the top.
Click on `Select File` and choose the file from which you want to import runners.

### Verify Runners

A summary of all runners found in the file will be displayed - check all runners for correctness

### Select Team

Select the team at the top into which the runners should be imported.

### Start Import

Click on `Import Runners` at the bottom to import the runners or `Cancel` to cancel the import.
The runners will now be imported into the team

{{% /steps %}}

### From the Runner Overview

{{% steps %}}

### Open Overview

Open the `Runners` page in the runner system.

### Select File

Click on `Import Runners` at the top.
Click on `Select File` and choose the file from which you want to import runners.

### Verify Runners

A summary of all runners found in the file will be displayed - check all runners for correctness

### Select Team

Select the team (has a `>` in the name) at the top into which the runners should be imported.

### Start Import

Click on `Import Runners` at the bottom to import the runners or `Cancel` to cancel the import.
The runners will now be imported into the team

{{% /steps %}}