---
title: Scanner Stations
weight: 13
---

{{< callout type="info" >}}
  The documentation for using the [scanner stations can be found here](../../scanstation)
{{< /callout >}}

Scanner stations create scans for runner cards on [Tracks](../tracks).
In the real world, scanner stations are usually laptops with barcode scanners and special software.

The scanner stations in the runner system are used to register the "real" scanner stations and assign them to a track.
This part of the documentation only deals with the scanner stations in the runner system!

## Creating

{{< callout type="warning" >}}
  Before you can create a scanner station, you must first create a [track](../tracks) to which it belongs.
{{< /callout >}}
{{< callout type="info" >}}
  When you create a scanner station, you will receive a token (code/key) for it - keep it safe!
{{< /callout >}}

To create a new scanner station, open the `Scanner Stations` page in the runner system.
You can create a new scanner station by clicking the `Create Station` button.
You must assign the station to a track and you can give the station a description and deactivate it.
When you are done, simply click the `Create` button.

After the scanner station has been created in the system, you will be shown its token.
This token is only displayed once and cannot be changed - so keep it safe!
You can click on the token or the copy button to copy the token to your clipboard.
Once you have securely saved the token, you can close the dialog by clicking the `Yes, I have copied the token` button.

## Editing

To edit a scanner station, click the `Details` button for the desired scanner station in the scanner station overview.
In the overview for this scanner station, you can now change the track and description of the scanner station and (de)activate it.
When you are done, simply click `Save changes`.

## Deleting

You can delete a scanner station either from the scanner station overview or from the scanner station detail view.

### In the Scanner Station Overview

Click the `Delete` button for the desired scanner station.
You will then be asked if you really want to delete the scanner station or cancel.

### In the Scanner Station Detail View

Click the `Details` button for the desired scanner station.
At the top of the page, there is now a `Delete Station` button.
You will then be asked if you really want to delete the scanner station or cancel.

### Scanner Station with Scans

{{< callout type="error" >}}
  We recommend never deleting stations with scans, but simply deactivating them!
{{< /callout >}}

If the scanner station still has associated scans, a warning will appear again after confirming the deletion.
Here you must confirm the deletion including all scans again, or you can cancel.
